r-bioc-iranges (2.46.0-1) unstable; urgency=medium

  * Remove obsolete patches.
  * Use uscan v5 $template template. (routine-update)
  * New upstream version
  * Standards-Version: 4.7.4 (routine-update)
  * Restrict to R packages team core architectures (routine-update)
  * Drop 'Rules-Requires-Root: no' from d/control (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sun, 12 Jul 2026 07:48:09 +0900

r-bioc-iranges (2.40.1-4) unstable; urgency=medium

  * Packaging update (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * Reflow Uploaders field (cme)
  * Remove Priority field (cme)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Mar 2026 16:57:30 +0900

r-bioc-iranges (2.40.1-3) unstable; urgency=medium

  * Team upload.
  * Backport commits from Bioc 3.21 to avoid crashes on mean etc of empty
    views with R 4.5.  Thanks: Rebecca N. Palmer

 -- Charles Plessy <plessy@debian.org>  Wed, 23 Apr 2025 22:28:12 +0900

r-bioc-iranges (2.40.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 03:42:38 +0100

r-bioc-iranges (2.40.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Dec 2024 12:13:21 -0800

r-bioc-iranges (2.40.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:38:27 +0100

r-bioc-iranges (2.38.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:31:10 +0200

r-bioc-iranges (2.38.1-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: add minimum version number matching bioc-3.19+

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:04:54 +0200

r-bioc-iranges (2.38.1-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version. Closes: #1070841
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:29:51 +0200

r-bioc-iranges (2.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Nov 2023 23:58:48 +0000

r-bioc-iranges (2.34.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jul 2023 00:40:32 +0000

r-bioc-iranges (2.32.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:14:44 +0100

r-bioc-iranges (2.30.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:09:41 +0200

r-bioc-iranges (2.30.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 13:43:04 +0200

r-bioc-iranges (2.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.28.0
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:57:00 +0530

r-bioc-iranges (2.26.0-2) UNRELEASED; urgency=medium

  * d/u/metadata: Added refs to conda and bio.tools

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Sep 2021 13:28:03 +0200

r-bioc-iranges (2.26.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Provide autopkgtest-pkg-r.conf to make sure runit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 12:57:53 +0200

r-bioc-iranges (2.24.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 22:11:54 +0100

r-bioc-iranges (2.24.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 11:25:39 +0100

r-bioc-iranges (2.22.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 May 2020 06:39:55 +0200

r-bioc-iranges (2.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove tabs from debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 17 May 2020 19:12:38 +0000

r-bioc-iranges (2.20.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Jan 2020 07:00:23 +0100

r-bioc-iranges (2.20.1-2) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Add salsa-ci.yml
  * Update autopkgtests

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jan 2020 04:14:04 +0900

r-bioc-iranges (2.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/copyright: Use spaces rather than tabs in continuation lines.

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Nov 2019 12:20:03 +0100

r-bioc-iranges (2.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 Nov 2019 07:10:03 +0100

r-bioc-iranges (2.18.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 11:20:12 +0200

r-bioc-iranges (2.18.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 08:17:44 +0200

r-bioc-iranges (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 14:19:03 +0200

r-bioc-iranges (2.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 07:50:24 +0100

r-bioc-iranges (2.14.12-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 11:04:06 +0200

r-bioc-iranges (2.14.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 16:54:20 +0200

r-bioc-iranges (2.14.10-2) unstable; urgency=medium

  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 16:28:25 +0200

r-bioc-iranges (2.14.10-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 09:01:44 +0200

r-bioc-iranges (2.14.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 08:43:08 +0200

r-bioc-iranges (2.14.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2018 15:10:02 +0200

r-bioc-iranges (2.14.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2018 08:06:34 +0200

r-bioc-iranges (2.14.1-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:34:52 +0200

r-bioc-iranges (2.14.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:53:13 +0200

r-bioc-iranges (2.14.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 16:51:43 +0200

r-bioc-iranges (2.12.0-2) unstable; urgency=medium

  * Do not symlink non-existing doc
    Closes: #855625
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2017 09:46:32 +0100

r-bioc-iranges (2.12.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 10:27:16 +0100

r-bioc-iranges (2.10.5-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Build-Depends: r-bioc-biocgenerics (>= 0.22.1)
  * Remove  unnecessary testsuite autopkgtest-header

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:17:33 +0200

r-bioc-iranges (2.10.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 14:35:55 +0200

r-bioc-iranges (2.10.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump versioned Build-Depends: r-bioc-s4vectors (>= 0.14.0)

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 May 2017 16:11:27 +0200

r-bioc-iranges (2.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 18:55:04 +0100

r-bioc-iranges (2.8.0-1) unstable; urgency=medium

  * New upstream version (bump versioned Build-Depends)
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 11:34:25 +0200

r-bioc-iranges (2.6.1-1) unstable; urgency=medium

  * New upstream version
  * Versioned (Build-)Depends r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 10:05:51 +0200

r-bioc-iranges (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 15:16:51 +0200

r-bioc-iranges (2.4.7-1) unstable; urgency=medium

  * New upstream version
  * Fix versioned depends
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2016 09:22:48 +0100

r-bioc-iranges (2.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 18:32:22 +0100

r-bioc-iranges (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * versioned Depends on r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 21:28:54 +0200

r-bioc-iranges (2.2.5-1) unstable; urgency=medium

  * New upstream version
  * Requires S4Vectors (>= 0.6.1)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 23:08:17 +0200

r-bioc-iranges (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 17:15:04 +0200

r-bioc-iranges (2.0.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * New (Build-)Depends: r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 16:03:53 +0200

r-bioc-iranges (1.22.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Aug 2014 15:02:59 +0200

r-bioc-iranges (1.22.8-1) unstable; urgency=medium

  * New upstream version
  * Bump versioned (Build-)Depends from r-bioc-biocgenerics to >= 0.9.1

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jun 2014 22:53:05 +0200

r-bioc-iranges (1.20.6-2) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control: Add missing r-cran-runit and r-bioc-xvector test
    dependencies, and allow stderr output.
    Closes: #735546

  [ Andreas Tille ]
  * Standards-Version: 3.9.5

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2014 13:35:56 +0100

r-bioc-iranges (1.20.6-1) unstable; urgency=low

  * New upstream version
  * debian/README.test: More detailed testing suggested
  * debian/tests: Add unit test

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2013 11:26:23 +0100

r-bioc-iranges (1.20.4-1) unstable; urgency=low

  * New upstream version
  * debian/{control/copyright}: Fixed homepage
  * debian/control: Versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Fri, 18 Oct 2013 11:08:01 +0200

r-bioc-iranges (1.18.3-1) unstable; urgency=low

  * Initial release (closes: #720537)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 09:23:02 +0200
